Add or remove labels from WhatsApp chats and contacts.
curl --request POST \
--url https://api.example.com/label/handleLabel/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"number": "5511999999999",
"labelId": "1",
"action": "add"
}'
{
"success": true,
"number": "5511999999999@s.whatsapp.net",
"labelId": "1",
"action": "add"
}
Documentation Index
Fetch the complete documentation index at: https://mintlify.com/EvolutionAPI/evolution-api/llms.txt
Use this file to discover all available pages before exploring further.
apikey header.
/label/findLabels endpoint.add: Add the label to the chatremove: Remove the label from the chatcurl --request POST \
--url https://api.example.com/label/handleLabel/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"number": "5511999999999",
"labelId": "1",
"action": "add"
}'
{
"success": true,
"number": "5511999999999@s.whatsapp.net",
"labelId": "1",
"action": "add"
}
// Label new customers
await assignLabel({
number: '5511999999999',
labelId: 'new_customer',
action: 'add'
});
// Later, upgrade to VIP
await assignLabel({
number: '5511999999999',
labelId: 'new_customer',
action: 'remove'
});
await assignLabel({
number: '5511999999999',
labelId: 'vip',
action: 'add'
});
// Mark urgent chats
await assignLabel({
number: chatId,
labelId: 'urgent',
action: 'add'
});
// Remove when resolved
await assignLabel({
number: chatId,
labelId: 'urgent',
action: 'remove'
});
await assignLabel({
number: chatId,
labelId: 'resolved',
action: 'add'
});
GET /label/findLabels/:instanceName
curl --request POST \
--url https://api.example.com/label/handleLabel/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"number": "5511999999999",
"labelId": "1",
"action": "add"
}'
{
"success": true,
"number": "5511999999999@s.whatsapp.net",
"labelId": "1",
"action": "add"
}